export class ValidationResult {
  private constructor(
    public readonly isValid: boolean,
    public readonly errorMessage: string | null,
  ) {}

  static success(): ValidationResult {
    return new ValidationResult(true, null)
  }

  static failure(message: string): ValidationResult {
    return new ValidationResult(false, message)
  }
}
